Name: wireless-tools
Version: 28
Release: alt5.pre10
%define fullname wireless_tools.%version

Summary: Wireless ethernet configuration tools
Summary(ru_RU.KOI8-R):     
Group: System/Kernel and hardware
License: GPL
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: ftp://sourceforge.org/pcmcia/contrib/%fullname.pre10.tar.gz

Requires: libwireless = %version-%release

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment.

This is specifically useful since it allows manipulation of encryption
parameters possible with the GPL WaveLAN cards.

%description -l ru_RU.KOI8-R
    ,    
      Linux.

%package -n ifrename
Group: System/Kernel and hardware
Summary: %name tool renames network interfaces
Summary(ru_RU.KOI8-R):   %name   
Requires: libwireless = %version-%release

%description -n ifrename
This package contains ifrename. It's purpose is to rename network interfaces
considering different criterias consisting of: MAC address, link type, module
name, bus information, memory base address, irq line and wireless protocol.
ifrename is used by etcnet and hotplug packages, although can be used
standalone.

%description -l ru_RU.KOI8-R
   ifrename.    
   ,   MAC-, 
 ,  ,    ,  
 ,     . 
ifrename,  ,   etcnet  hotplug,  
   .


%package -n libwireless
Group: System/Libraries
Summary: Librairies for %name

%description -n libwireless
Librairies for %name

%package -n libwireless-devel
Group: Development/C
Summary: Development files for %name
Requires: libwireless = %version-%release
Obsoletes: %name-devel
Provides: %name-devel

%description -n libwireless-devel
Development files for %name


%prep
%setup -n %fullname -q

%build
%make clean
%make CFLAGS="$RPM_OPT_FLAGS -I." IWLIBS="-L. -liw" BUILD_SHARED=1

%install
mkdir -p %buildroot{/sbin,/lib,%_mandir/man8,%_includedir,%_libdir}

make install INSTALL_DIR=%buildroot/sbin \
	INSTALL_LIB=%buildroot/lib \
	INSTALL_INC=%buildroot%_includedir \
	INSTALL_MAN=%buildroot%_mandir
rm -f %buildroot/lib/libiw.a
pushd %buildroot/%_libdir
    %__ln_s -nf ../../lib/libiw.so.%version libiw.so
popd

%files
%doc INSTALL README DISTRIBUTIONS.txt
/sbin/*
%exclude /sbin/ifrename
%_mandir/man*/*
%exclude %_mandir/man8/ifrename*
%exclude %_mandir/man5/iftab*

%files -n ifrename
/sbin/ifrename
%_mandir/man8/ifrename*
%_mandir/man5/iftab*

%files -n libwireless
/lib/*.so.*

%files -n libwireless-devel
%_libdir/*.so
%_includedir/*

%changelog
* Tue Oct 11 2005 Alexei Takaseev <taf@altlinux.ru> 28-alt5.pre10
- 28-pre10

* Thu Jan 20 2005 Alexei Takaseev <taf@altlinux.ru> 28-alt5.pre3
- Requires fixed on libwireless

* Sat Dec 11 2004 Alexei Takaseev <taf@altlinux.ru> 28-alt4.pre3
- fix ifrename man

* Wed Dec 08 2004 Alexei Takaseev <taf@altlinux.ru> 28-alt2.pre3
- wireless-tools splitted on several packages: wireless-tools,
  ifrename, libwireless and libwireless-devel

* Tue Dec 07 2004 Alexei Takaseev <taf@altlinux.ru> 28-alt1.pre3
- 28-pre3

* Fri Dec 03 2004 Alexei Takaseev <taf@altlinux.ru> 27-alt1
- new version

* Fri Apr 16 2004 Alexei Takaseev <taf@altlinux.ru> 26-alt3
- fix russian descriprion (#3940)

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 26-alt2.1.1
- add devel package

* Fri Mar 12 2004 Alexei Takaseev <taf@altlinux.ru> 26-alt2.1
- Use WE 16 

* Tue Mar 09 2004 Alexei Takaseev <taf@altlinux.ru> 26-alt2
- Use WE 16

* Fri Aug 22 2003 Alexander Bokovoy <ab@altlinux.ru> 26-alt1
- new version
- Use WE 15 unless kernel will be updated

* Sun Oct 06 2002 Rider <rider@altlinux.ru> 25-alt1
- new version
- build shared libraries
- wireless tools moved to /sbin/

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 23-alt1
- new version (23)

* Sat Jan 05 2002 Rider <rider@altlinux.ru> 22-alt1
- new version

* Sat Mar 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 20-ipl3mdk
- Fixed build with glibc-2.2.2.

* Wed Jan 24 2001 Dmitry V. Levin <ldv@fandra.org> 20-ipl2mdk
- RE adaptions.

* Fri Jan 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 20-2mdk
- moved from contrib

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 20-1mdk
- new in contribs
- used srpm from Kyle VanderBeek <kylev@yaga.com> 20-1mdk
	- First spec file for Mandrake distribution.

